<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: UDPdevice</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: UDPdevice</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>
            <span class="ancestors"><a href="module-device.html">device</a>~</span>UDPdevice<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>UDP network interface
send and receive UDP messages</p>
<p>based on dgram module
best understood with help of:
<a href="https://%3Ca">href="http://www.hacksparrow.com/node-js-udp-server-and-client-example.html</a>">www.hacksparrow.com/node-js-udp-server-and-client-example.html}</a></p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="UDPdevice"><span class="type-signature"></span>new UDPdevice<span class="signature">()</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>config.name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            

            <td class="description last"><p>name identifier for this device</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>config.settings.port</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            

            <td class="description last"><p>port to communicate with device. Device and framework port are identical if framework_port is not provided.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>config.settings.framework_port</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            

            <td class="description last"><p>distinct port to listen for messages from this UDP device</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>config.settings.ip</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            

            <td class="description last"><p>ip of device. Where to send messages to from plai framework</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_devices_device.js.html">plugins/devices/device.js</a>, <a href="plugins_devices_device.js.html#line355">line 355</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="reconnect"><span class="type-signature"></span>reconnect<span class="signature">(settings)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>start udp server to listen for messages
if framework_port is not defined, device object listens on port for incomming messages from device</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>settings</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><p>new setting properties. See class doc for setting properties.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_devices_device.js.html">plugins/devices/device.js</a>, <a href="plugins_devices_device.js.html#line368">line 368</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ableton.html">ableton</a></li><li><a href="module-control.html">control</a></li><li><a href="module-d-pro.html">d-pro</a></li><li><a href="module-device.html">device</a></li><li><a href="module-devices.html">devices</a></li><li><a href="module-errors.html">errors</a></li><li><a href="module-file.html">file</a></li><li><a href="module-game.html">game</a></li><li><a href="module-index.html">index</a></li><li><a href="module-logic.html">logic</a></li><li><a href="module-medley.html">medley</a></li><li><a href="module-mongo.html">mongo</a></li><li><a href="module-ne.html">ne</a></li><li><a href="module-phone.html">phone</a></li><li><a href="module-plugin.html">plugin</a></li><li><a href="module-session.html">session</a></li><li><a href="module-sound.html">sound</a></li><li><a href="module-telegram.html">telegram</a></li><li><a href="module-tradfri.html">tradfri</a></li><li><a href="module-twilio.html">twilio</a></li><li><a href="module-variables.html">variables</a></li></ul><h3>Classes</h3><ul><li><a href="CollectionAPI.html">CollectionAPI</a></li><li><a href="Data.html">Data</a></li><li><a href="module-ableton-Liveset.html">Liveset</a></li><li><a href="module-d-pro-Show.html">Show</a></li><li><a href="module-device-Device.html">Device</a></li><li><a href="module-device-Mididevice.html">Mididevice</a></li><li><a href="module-device-OSCdevice.html">OSCdevice</a></li><li><a href="module-device-Serialdevice.html">Serialdevice</a></li><li><a href="module-device-TCPdevice.html">TCPdevice</a></li><li><a href="module-device-UDPdevice.html">UDPdevice</a></li><li><a href="module-device-Webdevice.html">Webdevice</a></li><li><a href="module-errors-DesignError.html">DesignError</a></li><li><a href="module-game-Game.html">Game</a></li><li><a href="module-logic-Condition.html">Condition</a></li><li><a href="module-logic-Listener.html">Listener</a></li><li><a href="module-medley-Log.html">Log</a></li><li><a href="module-mongo-Collection.html">Collection</a></li><li><a href="module-mongo-Database.html">Database</a></li><li><a href="module-mongo-Document.html">Document</a></li><li><a href="module-ne-Collection.html">Collection</a></li><li><a href="module-ne-Database.html">Database</a></li><li><a href="module-ne-Document.html">Document</a></li><li><a href="module-phone-Phone.html">Phone</a></li><li><a href="module-plugin-Collection.html">Collection</a></li><li><a href="module-plugin-Item.html">Item</a></li><li><a href="module-plugin-Plugin.html">Plugin</a></li><li><a href="module-session-Session.html">Session</a></li><li><a href="module-telegram-Bot.html">Bot</a></li><li><a href="module-twilio-Call.html">Call</a></li><li><a href="module-twilio-CallIn.html">CallIn</a></li><li><a href="module-twilio-SmsIn.html">SmsIn</a></li><li><a href="module-twilio-Switchboard.html">Switchboard</a></li><li><a href="module-variables-Variables.html">Variables</a></li></ul><h3>Global</h3><ul><li><a href="global.html#assignIntro">assignIntro</a></li><li><a href="global.html#assignStory">assignStory</a></li><li><a href="global.html#assignTaskC">assignTaskC</a></li><li><a href="global.html#attendance">attendance</a></li><li><a href="global.html#cancelPlayerSessions">cancelPlayerSessions</a></li><li><a href="global.html#cancelSessions">cancelSessions</a></li><li><a href="global.html#checkQueue">checkQueue</a></li><li><a href="global.html#cooperation">cooperation</a></li><li><a href="global.html#getLocationText">getLocationText</a></li><li><a href="global.html#getLoginLink">getLoginLink</a></li><li><a href="global.html#getPlace">getPlace</a></li><li><a href="global.html#getReader">getReader</a></li><li><a href="global.html#jobData">jobData</a></li><li><a href="global.html#left">left</a></li><li><a href="global.html#nextJob">nextJob</a></li><li><a href="global.html#since">since</a></li><li><a href="global.html#startValues">startValues</a></li><li><a href="global.html#timestamp">timestamp</a></li><li><a href="global.html#updateQueue">updateQueue</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Tue Dec 17 2019 17:26:50 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>